| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
putils.c File Reference
`#include "fftw-int.h"`
`#include <stdlib.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Macros
#define | NOTW_OPTIMAL_SIZE 32
#define | TWIDDLE_OPTIMAL_SIZE 12
#define | IS_POWER_OF_TWO(n) (((n) & ((n) - 1)) == 0)

## Functions
fftw_plan_node * | fftw_make_node (void)
void | fftw_use_node (fftw_plan_node *p)
fftw_plan_node * | fftw_make_node_notw (int size, const fftw_codelet_desc *config)
fftw_plan_node * | fftw_make_node_real2hc (int size, const fftw_codelet_desc *config)
fftw_plan_node * | fftw_make_node_hc2real (int size, const fftw_codelet_desc *config)
fftw_plan_node * | fftw_make_node_twiddle (int n, const fftw_codelet_desc *config, fftw_plan_node *recurse, int flags)
fftw_plan_node * | fftw_make_node_hc2hc (int n, fftw_direction dir, const fftw_codelet_desc *config, fftw_plan_node *recurse, int flags)
fftw_plan_node * | fftw_make_node_generic (int n, int size, fftw_generic_codelet *codelet, fftw_plan_node *recurse, int flags)
fftw_plan_node * | fftw_make_node_rgeneric (int n, int size, fftw_direction dir, fftw_rgeneric_codelet *codelet, fftw_plan_node *recurse, int flags)
fftw_plan | fftw_make_plan (int n, fftw_direction dir, fftw_plan_node *root, int flags, enum fftw_node_type wisdom_type, int wisdom_signature, fftw_recurse_kind recurse_kind, int vector_size)
void | fftw_complete_twiddle (fftw_plan_node *p, int n)
void | fftw_use_plan (fftw_plan p)
void | fftw_destroy_plan_internal (fftw_plan p)
void | fftw_make_empty_table (fftw_plan *table)
void | fftw_insert (fftw_plan *table, fftw_plan this_plan)
fftw_plan | fftw_lookup (fftw_plan *table, int n, int flags, int vector_size)
void | fftw_destroy_table (fftw_plan *table)
double | fftw_estimate_node (fftw_plan_node *p)
fftw_plan | fftw_pick_better (fftw_plan p1, fftw_plan p2)
int | fftw_factor (int n)
void | fftw_fprint_plan (FILE *f, fftw_plan p)
void | fftw_print_plan (fftw_plan p)
size_t | fftw_sizeof_fftw_real (void)

## Variables
int | fftw_node_cnt = 0
int | fftw_plan_cnt = 0
fftw_rader_data * | fftw_rader_top = NULL

## Macro Definition Documentation

#define IS_POWER_OF_TWO | ( |  | n | ) | (((n) & ((n) - 1)) == 0)

Definition at line 40 of file putils.c.

#define NOTW_OPTIMAL_SIZE 32

Definition at line 37 of file putils.c.

#define TWIDDLE_OPTIMAL_SIZE 12

Definition at line 38 of file putils.c.

## Function Documentation

void fftw_complete_twiddle | ( | fftw_plan_node * | p,
|  | int | n
| ) |  |

Definition at line 296 of file putils.c.

void fftw_destroy_plan_internal | ( | fftw_plan | p | ) |

Definition at line 353 of file putils.c.

void fftw_destroy_table | ( | fftw_plan * | table | ) |

Definition at line 390 of file putils.c.

double fftw_estimate_node | ( | fftw_plan_node * | p | ) |

Definition at line 400 of file putils.c.

int fftw_factor | ( | int | n | ) |

Definition at line 468 of file putils.c.

void fftw_fprint_plan | ( | FILE * | f,
|  | fftw_plan | p
| ) |  |

Definition at line 536 of file putils.c.

void fftw_insert | ( | fftw_plan * | table,
|  | fftw_plan | this_plan
| ) |  |

Definition at line 372 of file putils.c.

fftw_plan fftw_lookup | ( | fftw_plan * | table,
|  | int | n,
|  | int | flags,
|  | int | vector_size
| ) |  |

Definition at line 379 of file putils.c.

void fftw_make_empty_table | ( | fftw_plan * | table | ) |

Definition at line 367 of file putils.c.

fftw_plan_node* fftw_make_node | ( | void |  | ) |

Definition at line 43 of file putils.c.

fftw_plan_node* fftw_make_node_generic | ( | int | n,
|  | int | size,
|  | fftw_generic_codelet * | codelet,
|  | fftw_plan_node * | recurse,
|  | int | flags
| ) |  |

Definition at line 133 of file putils.c.

fftw_plan_node* fftw_make_node_hc2hc | ( | int | n,
|  | fftw_direction | dir,
|  | const fftw_codelet_desc * | config,
|  | fftw_plan_node * | recurse,
|  | int | flags
| ) |  |

Definition at line 112 of file putils.c.

fftw_plan_node* fftw_make_node_hc2real | ( | int | size,
|  | const fftw_codelet_desc * | config
| ) |  |

Definition at line 80 of file putils.c.

fftw_plan_node* fftw_make_node_notw | ( | int | size,
|  | const fftw_codelet_desc * | config
| ) |  |

Definition at line 57 of file putils.c.

fftw_plan_node* fftw_make_node_real2hc | ( | int | size,
|  | const fftw_codelet_desc * | config
| ) |  |

Definition at line 68 of file putils.c.

fftw_plan_node* fftw_make_node_rgeneric | ( | int | n,
|  | int | size,
|  | fftw_direction | dir,
|  | fftw_rgeneric_codelet * | codelet,
|  | fftw_plan_node * | recurse,
|  | int | flags
| ) |  |

Definition at line 154 of file putils.c.

fftw_plan_node* fftw_make_node_twiddle | ( | int | n,
|  | const fftw_codelet_desc * | config,
|  | fftw_plan_node * | recurse,
|  | int | flags
| ) |  |

Definition at line 92 of file putils.c.

fftw_plan fftw_make_plan | ( | int | n,
|  | fftw_direction | dir,
|  | fftw_plan_node * | root,
|  | int | flags,
|  | enum fftw_node_type | wisdom_type,
|  | int | wisdom_signature,
|  | fftw_recurse_kind | recurse_kind,
|  | int | vector_size
| ) |  |

Definition at line 266 of file putils.c.

fftw_plan fftw_pick_better | ( | fftw_plan | p1,
|  | fftw_plan | p2
| ) |  |

Definition at line 450 of file putils.c.

void fftw_print_plan | ( | fftw_plan | p | ) |

Definition at line 547 of file putils.c.

size_t fftw_sizeof_fftw_real | ( | void |  | ) |

Definition at line 552 of file putils.c.

void fftw_use_node | ( | fftw_plan_node * | p | ) |

Definition at line 52 of file putils.c.

void fftw_use_plan | ( | fftw_plan | p | ) |

Definition at line 348 of file putils.c.

## Variable Documentation

int fftw_node_cnt = 0

Definition at line 30 of file putils.c.

int fftw_plan_cnt = 0

Definition at line 31 of file putils.c.

fftw_rader_data* fftw_rader_top = NULL

Definition at line 186 of file putils.c.